OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_ChildNodeIterator Class Reference

Iterates on the ChildStepren step of a step, at the
first level only. It is possible to ask the
iterator to explore all the sub step levels of the
given one, with the option "allLevels".
.

`#include <TDataStd_ChildNodeIterator.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_ChildNodeIterator ()
| Creates an empty iterator. .
Standard_EXPORT | TDataStd_ChildNodeIterator (const Handle(TDataStd_TreeNode)&aTreeNode, const Standard_Boolean allLevels=Standard_False)
| Iterates on the ChildStepren of the given Step. If <alllevels> option is set to true, it explores not only the first, but all the sub Step levels. .
Standard_EXPORT void | Initialize (const Handle(TDataStd_TreeNode)&aTreeNode, const Standard_Boolean allLevels=Standard_False)
| Initializes the iteration on the Children Step of the given Step. If <alllevels> option is set to true, it explores not only the first, but all the sub Step levels. .
Standard_Boolean | More () const
| Returns True if there is a current Item in the iteration. .
Standard_EXPORT void | Next ()
| Move to the next Item .
Standard_EXPORT void | NextBrother ()
| Move to the next Brother. If there is none, go up etc. This method is interesting only with "allLevels" behavior, because it avoids to explore the current Step ChildStepren. .
Handle_TDataStd_TreeNode | Value () const
| Returns the current item; a null Step if there is no one. .
## Private Attributes
Handle_TDataStd_TreeNode | myNode
Standard_Integer | myFirstLevel

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_ChildNodeIterator::TDataStd_ChildNodeIterator | ( |  | ) |

Standard_EXPORT TDataStd_ChildNodeIterator::TDataStd_ChildNodeIterator | ( | const Handle(TDataStd_TreeNode)& | aTreeNode,
|  | const Standard_Boolean | allLevels = `Standard_False`
| ) |

## Member Function Documentation

Standard_EXPORT void TDataStd_ChildNodeIterator::Initialize | ( | const Handle(TDataStd_TreeNode)& | aTreeNode,
|  | const Standard_Boolean | allLevels = `Standard_False`
| ) |

Standard_Boolean TDataStd_ChildNodeIterator::More | ( |  | ) | const`[inline]`

Standard_EXPORT void TDataStd_ChildNodeIterator::Next | ( |  | ) |

Standard_EXPORT void TDataStd_ChildNodeIterator::NextBrother | ( |  | ) |

void TDataStd_ChildNodeIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_ChildNodeIterator::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_ChildNodeIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_TDataStd_TreeNode TDataStd_ChildNodeIterator::Value | ( |  | ) | const

## Field Documentation

Standard_Integer TDataStd_ChildNodeIterator::myFirstLevel`[private]`

Handle_TDataStd_TreeNode TDataStd_ChildNodeIterator::myNode`[private]`

The documentation for this class was generated from the following files:

- TDataStd_ChildNodeIterator.hxx
- TDataStd_ChildNodeIterator.lxx